Bug 1377 - Use fork() instead of vfork()
Use fork() instead of vfork()
Status: CLOSED CURRENTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: apmd (Show other bugs)
1.0
i386 Linux
high Severity low
: ---
: ---
Assigned To: Erik Troan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-03-01 05:18 EST by enrico.scholz
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-03-18 14:38:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description enrico.scholz 1999-03-01 05:18:18 EST
Current apmd doesn't work very with the new initscripts,
which are relying that the called daemon goes into
background by itself.

apmd uses vfork() to go into background, but the libc-manual
says "Instead, the child process created with `vfork' shares
its parent's address space until it calls `_exit' or one of
the `exec' functions. In the meantime, the parent process
suspends execution". That's why apmd will not fork into
background and a fork() instead of vfork() at apmd.c:342
will reallow a "daemon apmd".

I have detected an apmd-3.0 (labeled as beta) which is using
fork() instead of vfork() too.
Comment 1 Cristian Gafton 1999-03-18 14:38:59 EST
Fixed in the current beta

Note You need to log in before you can comment on or make changes to this bug.